Main Page Widgets Namespaces Book

# Pango::Matrix Class Reference

List of all members.

## Public Member Functions
void | concat (const Matrix& new_matrix)
| Changes the transformation represented by matrix to be the transformation given by first applying transformation given by new_matrix then applying the original transformation.
double | get_font_scale_factor () const
double | get_x0 () const
double | get_xx () const
double | get_xy () const
double | get_y0 () const
double | get_yx () const
double | get_yy () const
const PangoMatrix* | gobj () const
| Provides access to the underlying C instance.
PangoMatrix* | gobj ()
| Provides access to the underlying C instance.
| Matrix (double xx, double xy, double yx, double yy, double x0, double y0)
| Matrix (const PangoMatrix* gobject)
| Matrix ()
| operator bool ()
| Tests whether the Matrix is valid.
void | rotate (double degrees)
| Changes the transformation represented by matrix to be the transformation given by first rotating by degrees degrees counter-clokwise then applying the original transformation.
void | scale (double cale_x, double scale_y)
| Changes the transformation represented by matrix to be the transformation given by first scaling by sx in the X direction and sy in the Y direction then applying the original transformation.
void | set_x0 (const double& value)
void | set_xx (const double& value)
void | set_xy (const double& value)
void | set_y0 (const double& value)
void | set_yx (const double& value)
void | set_yy (const double& value)
void | translate (double tx, double ty)
| Changes the transformation represented by matrix to be the transformation given by first translating by ( tx , ty ) then applying the original transformation.
## Protected Attributes
PangoMatrix | gobject_
## Related Functions
(Note that these are not member functions.)
const Pango::Matrix& | wrap (const PangoMatrix* object)
Pango::Matrix& | wrap (PangoMatrix* object)

## Constructor & Destructor Documentation

Pango::Matrix::Matrix | ( |  | ) |

Pango::Matrix::Matrix | ( | const PangoMatrix* | gobject | ) | `[explicit]`

Pango::Matrix::Matrix | ( | double | xx,
|  | double | xy,
|  | double | yx,
|  | double | yy,
|  | double | x0,
|  | double | y0
| ) |

## Member Function Documentation

void Pango::Matrix::concat | ( | const Matrix& | new_matrix | ) |

  | Changes the transformation represented by matrix to be the transformation given by first applying transformation given by new_matrix then applying the original transformation. Since: 1.6 Parameters:
  | new_matrix | A Pango::Matrix.

double Pango::Matrix::get_font_scale_factor | ( |  | ) | const

double Pango::Matrix::get_x0 | ( |  | ) | const

double Pango::Matrix::get_xx | ( |  | ) | const

double Pango::Matrix::get_xy | ( |  | ) | const

double Pango::Matrix::get_y0 | ( |  | ) | const

double Pango::Matrix::get_yx | ( |  | ) | const

double Pango::Matrix::get_yy | ( |  | ) | const

const PangoMatrix* Pango::Matrix::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

PangoMatrix* Pango::Matrix::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

Pango::Matrix::operator bool | ( |  | ) |

| Tests whether the Matrix is valid.

void Pango::Matrix::rotate | ( | double | degrees | ) |

  | Changes the transformation represented by matrix to be the transformation given by first rotating by degrees degrees counter-clokwise then applying the original transformation. Since: 1.6 Parameters:
  | degrees | Degrees to rotate counter-clockwise.

void Pango::Matrix::scale | ( | double | cale_x,
|  | double | scale_y
| ) |

  | Changes the transformation represented by matrix to be the transformation given by first scaling by sx in the X direction and sy in the Y direction then applying the original transformation. Since: 1.6 Parameters:
  | scale_x | Amount to scale by in X direction.
  | scale_y | Amount to scale by in Y direction.

void Pango::Matrix::set_x0 | ( | const double& | value | ) |

void Pango::Matrix::set_xx | ( | const double& | value | ) |

void Pango::Matrix::set_xy | ( | const double& | value | ) |

void Pango::Matrix::set_y0 | ( | const double& | value | ) |

void Pango::Matrix::set_yx | ( | const double& | value | ) |

void Pango::Matrix::set_yy | ( | const double& | value | ) |

void Pango::Matrix::translate | ( | double | tx,
|  | double | ty
| ) |

  | Changes the transformation represented by matrix to be the transformation given by first translating by ( tx , ty ) then applying the original transformation. Since: 1.6 Parameters:
  | tx | Amount to translate in the X direction.
  | ty | Amount to translate in the Y direction.

## Friends And Related Function Documentation

const Pango::Matrix& wrap | ( | const PangoMatrix* | object | ) | `[related]`

  | Parameters:
  | object | The C instance
Returns: A C++ instance that wraps this C instance.

Pango::Matrix& wrap | ( | PangoMatrix* | object | ) | `[related]`

  | Parameters:
  | object | The C instance
Returns: A C++ instance that wraps this C instance.

## Member Data Documentation

PangoMatrix Pango::Matrix::gobject_`[protected]`

The documentation for this class was generated from the following file:

- matrix.h